eth_chainId-polygon

Returns the chain ID used for signing replay-protected transactions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameter

  • No parameters are needed.
curl https://polygon-mainnet-archive.allthatnode.com/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--request POST \
--header "Content-Type: application/json" \
--data '{ "jsonrpc":"2.0", "method":"eth_chainId","params":[],"id":1}'

Returns

  • chainId- hexadecimal value as a string representing the integer of the current chain id.
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": "0x89"
}

Try Yourself

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Body Params
string
required
Defaults to 1
string
required
Defaults to 2.0
string
required
Defaults to net_version
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!